be.fgov.ehealth.mycarenet.commons.core.v4

## Class CommonInputType

- java.lang.Object
- - be.fgov.ehealth.mycarenet.commons.core.v4.CommonInputType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:15:35+01:00",
                 comments="JAXB RI v2.2.11")
      public class CommonInputType
      extends Object
      implements Serializable

  The "root"-type of the common input element.

  Java class for CommonInputType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CommonInputType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Request" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v4}RequestType"/>
               <element name="Origin" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v4}OriginType"/>
               <element name="InputReference" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="NIPReference" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="Reference" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v4}ReferenceType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="Attribute" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v4}AttributeType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonInputType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AttributeType>` | `getAttributes()` Gets the value of the attributes property.
    `String` | `getInputReference()` Gets the value of the inputReference property.
    `String` | `getNIPReference()` Gets the value of the nipReference property.
    `OriginType` | `getOrigin()` Gets the value of the origin property.
    `List<ReferenceType>` | `getReferences()` Gets the value of the references property.
    `RequestType` | `getRequest()` Gets the value of the request property.
    `void` | `setInputReference(String value)` Sets the value of the inputReference property.
    `void` | `setNIPReference(String value)` Sets the value of the nipReference property.
    `void` | `setOrigin(OriginType value)` Sets the value of the origin property.
    `void` | `setRequest(RequestType value)` Sets the value of the request property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommonInputType

          public CommonInputType()

  - ### Method Detail

    - #### getRequest

          public RequestType getRequest()

      Gets the value of the request property.
      Returns:
        possible object is `RequestType`

    - #### setRequest

          public void setRequest(RequestType value)

      Sets the value of the request property.
      Parameters:
        `value` - allowed object is `RequestType`

    - #### getOrigin

          public OriginType getOrigin()

      Gets the value of the origin property.
      Returns:
        possible object is `OriginType`

    - #### setOrigin

          public void setOrigin(OriginType value)

      Sets the value of the origin property.
      Parameters:
        `value` - allowed object is `OriginType`

    - #### getInputReference

          public String getInputReference()

      Gets the value of the inputReference property.
      Returns:
        possible object is `String`

    - #### setInputReference

          public void setInputReference(String value)

      Sets the value of the inputReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNIPReference

          public String getNIPReference()

      Gets the value of the nipReference property.
      Returns:
        possible object is `String`

    - #### setNIPReference

          public void setNIPReference(String value)

      Sets the value of the nipReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### getReferences

          public List<ReferenceType> getReferences()

      Gets the value of the references property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the references property.

      For example, to add a new item, do as follows:

              getReferences().add(newItem);

      Objects of the following type(s) are allowed in the list `ReferenceType`

    - #### getAttributes

          public List<AttributeType> getAttributes()

      Gets the value of the attributes property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributes property.

      For example, to add a new item, do as follows:

              getAttributes().add(newItem);

      Objects of the following type(s) are allowed in the list `AttributeType`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.